﻿@model IEnumerable<Web.Models.Project>
@{ Layout = null;}

<div id="replacepanel" data-url="@Url.Action("Projects")">

    @foreach (var project in Model)
    {
        <div class="m-1 p-1 w-100 d-flex justify-content-between bg-dark">
            <a class="p-2 text-white nav-link hover-weight" asp-area="" style="width:70%;"
               asp-controller="Link" asp-action="LinkProject"
               asp-route-projectId="@project.Id">
                @project.Name
            </a>
            <div class="d-flex">
                <div class="p-2 text-white">
                    @project.CountLink
                    @((@project.CountLink % 10 == 0 || @project.CountLink % 10 > 4 || @project.CountLink % 100 > 4 && @project.CountLink % 100 < 20) ? "ссылок" :
                          (@project.CountLink % 10 == 1) ? "ссылка" : "ссылки")
                </div>
                <div type="button" class="ajax-modal" data-url="@Url.Action("Edit","Project",new { id = project.Id})">
                    <img title="Редактировать" src="~/images/Edit.svg" alt="ASP.NET" class="img-responsive hover-inc ml-2" />
                </div>
                <div type="button" class="ajax-modal" data-url="@Url.Action("Delete","Project",new { id = project.Id})">
                    <img title="Удалить" src="~/images/Remove.svg" alt="ASP.NET" class="img-responsive hover-inc ml-2" />
                </div>
            </div>
        </div>
    }
</div>


